=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2009-03-18 20:57:19 +0000
+++ loggerhead/changecache.py	2009-03-18 04:40:00 +0000
@@ -70,10 +70,11 @@
         else:
             return self._unserialize(filechange[0])
 
-    def add(self, revid, object):
-        self.cursor.execute(
-            "insert into revisiondata (revid, data) values (?, ?)",
-            (revid, self._serialize(object)))
+    def add(self, revid_obj_pairs):
+        for (r, d) in revid_obj_pairs:
+            self.cursor.execute(
+                "insert into revisiondata (revid, data) values (?, ?)",
+                (r, self._serialize(d)))
         self.connection.commit()
 
 
@@ -97,5 +98,5 @@
         changes = cache.get(entry.revid)
         if changes is None:
             changes = self.history.get_file_changes_uncached(entry)
-            cache.add(entry.revid, changes)
+            cache.add([(entry.revid, changes)])
         return changes

